Subject: Re: using git-blame with patches as input

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 Jun 2008 14:54:54 -0700

Don Zickus <[email-masked]> writes:

> For example, if I took the top three commits from HEAD and appended them
> into one patch file and then ran this tool with the patch as input, I
> would hope that it gave as output the three original commits.

Unfortunately blame does not work in such an inefficient way.  The patch
text from your second commit (that is, the diff that shows what used to be
in the first commit and what is in the second commit) may be further
rewritten in the third commit, so if you start blaming such a text from
HEAD, the blame stops at the HEAD commit saying "the text you have is even
newer".

> ...  Unfortunately, I don't quite understand
> some of the algorithms git-blame does when it splits the patch chunks into
> smaller pieces to determine which pieces are blame-able on the parents.

http://thread.gmane.org/gmane.comp.version-control.git/28826